# Generated by Django 4.1.5 on 2023-01-31 15:41

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Oficina',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('estado', models.CharField(max_length=256)),
                ('ciudad', models.CharField(max_length=256)),
                ('nombre', models.CharField(max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='Paquete',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('codigo', models.CharField(max_length=10, unique=True)),
                ('tipo', models.CharField(choices=[('C', 'Alimentos'), ('R', 'Textiles/Prendas'), ('M', 'Medicamentos'), ('O', 'Otros')], max_length=1)),
                ('nombre_destinatario', models.CharField(blank=True, max_length=256)),
                ('telefono_destinatario', models.CharField(blank=True, max_length=20)),
                ('peso', models.IntegerField(blank=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('office', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='paquetes', to='paquetesApp.oficina')),
            ],
        ),
    ]
